%define src_ver 0.1.4
%define languagelocal slovnk
%define languageeng slovak
%define languagecode sk

Summary: 	Slovak files for ispell
Name: 		ispell-%{languagecode} 
Version: 	0.1.4
Release: 	2mdk
URL: 		http://kpgso.dam.fmph.uniba.sk/~chalmo/linux.html
Source:		http://ispell.hq.alert.sk/ispell-%{src_ver}.tar.bz2
Copyright: 	Distributable
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

%description
ispell-sk has the spelling data for Slovak which is used by
the ispell program. With this extension, you can compose a document
in Slovak and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%prep
%setup -c -q
mv ispell-%{src_ver}/* .

mv " README.en" README.en
mv " README.sk" README.sk

mv -f slovak.words %{languagelocal}.hash
mv -f slovak.aff %{languagelocal}.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc README.en README.sk CHANGELOG 
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.4-2mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.4-1mdk
- Cleaned up the spec, updated to new version and moved to standard template.

* Fri May 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-1mdk
- First version for Mandrake.
